## org.eclipse.uml2.uml
Interface DestroyObjectAction

All Superinterfaces:
  Action, ActivityNode, Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, ExecutableNode, NamedElement, org.eclipse.emf.common.notify.Notifier, RedefinableElement

    public interface DestroyObjectAction

extends Action

A representation of the model object 'Destroy Object Action'. A destroy object action is an action that destroys objects.

The following features are supported:

- `Is Destroy Links`
- `Is Destroy Owned Objects`
- `Target`

See Also:
  `UMLPackage.getDestroyObjectAction()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`InputPin` `createTarget(java.lang.String name, Type type)` Creates a new `InputPin`,with the specified 'Name', and 'Type', and sets the 'Target' containment reference
`InputPin` `createTarget(java.lang.String name, Type type, org.eclipse.emf.ecore.EClass eClass)` Creates a new `InputPin`, with the specified 'Name', and 'Type', and sets the 'Target' containment reference
`InputPin` `getTarget()` Returns the value of the 'Target' containment reference.
`boolean` `isDestroyLinks()` Returns the value of the 'Is Destroy Links' attribute.
`boolean` `isDestroyOwnedObjects()` Returns the value of the 'Is Destroy Owned Objects' attribute.
`void` `setIsDestroyLinks(boolean value)` Sets the value of the '`Is Destroy Links`' attribute
`void` `setIsDestroyOwnedObjects(boolean value)` Sets the value of the '`Is Destroy Owned Objects`' attribute
`void` `setTarget(InputPin value)` Sets the value of the '`Target`' containment reference
`boolean` `validateMultiplicity(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The multiplicity of the input pin is 1..1.
`boolean` `validateNoType(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The input pin has no type.

Methods inherited from interface org.eclipse.uml2.uml.Action
`createLocalPostcondition, createLocalPostcondition, createLocalPrecondition, createLocalPrecondition, getContext, getInput, getInput, getInputs, getLocalPostcondition, getLocalPostcondition, getLocalPostconditions, getLocalPrecondition, getLocalPrecondition, getLocalPreconditions, getOutput, getOutput, getOutputs`

Methods inherited from interface org.eclipse.uml2.uml.ExecutableNode
`createHandler, getHandlers`

Methods inherited from interface org.eclipse.uml2.uml.ActivityNode
`getActivity, getIncoming, getIncoming, getIncomings, getInGroups, getInInterruptibleRegions, getInPartition, getInPartition, getInPartitions, getInStructuredNode, getOutgoing, getOutgoing, getOutgoings, getRedefinedNode, getRedefinedNode, getRedefinedNodes, setActivity, setInStructuredNode, validateOwned, validateOwnedStructuredNode`

Methods inherited from interface org.eclipse.uml2.uml.RedefinableElement
`getRedefinedElement, getRedefinedElement, getRedefinedElements, getRedefinitionContext, getRedefinitionContext, getRedefinitionContexts, isConsistentWith, isLeaf, isRedefinitionContextValid, setIsLeaf, validateRedefinitionConsistent, validateRedefinitionContextValid`

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isDestroyLinks

    boolean isDestroyLinks()

  Returns the value of the 'Is Destroy Links' attribute. The default value is `"false"`. Specifies whether links in which the object participates are destroyed along with the object.

  Returns:
    the value of the 'Is Destroy Links' attribute.
  See Also:
    `setIsDestroyLinks(boolean)`, `UMLPackage.getDestroyObjectAction_IsDestroyLinks()`

### setIsDestroyLinks

    void setIsDestroyLinks(boolean value)

  Sets the value of the '`Is Destroy Links`' attribute.

  Parameters:
    `value` - the new value of the 'Is Destroy Links' attribute.
  See Also:
    `isDestroyLinks()`

### isDestroyOwnedObjects

    boolean isDestroyOwnedObjects()

  Returns the value of the 'Is Destroy Owned Objects' attribute. The default value is `"false"`. Specifies whether objects owned by the object are destroyed along with the object.

  Returns:
    the value of the 'Is Destroy Owned Objects' attribute.
  See Also:
    `setIsDestroyOwnedObjects(boolean)`, `UMLPackage.getDestroyObjectAction_IsDestroyOwnedObjects()`

### setIsDestroyOwnedObjects

    void setIsDestroyOwnedObjects(boolean value)

  Sets the value of the '`Is Destroy Owned Objects`' attribute.

  Parameters:
    `value` - the new value of the 'Is Destroy Owned Objects' attribute.
  See Also:
    `isDestroyOwnedObjects()`

### getTarget

    InputPin getTarget()

  Returns the value of the 'Target' containment reference.

  This feature subsets the following features:

  - '`Input`'
  The input pin providing the object to be destroyed.

  Returns:
    the value of the 'Target' containment reference.
  See Also:
    `setTarget(InputPin)`, `UMLPackage.getDestroyObjectAction_Target()`

### setTarget

    void setTarget(InputPin value)

  Sets the value of the '`Target`' containment reference.

  Parameters:
    `value` - the new value of the 'Target' containment reference.
  See Also:
    `getTarget()`

### createTarget

    InputPin createTarget(java.lang.String name,
                          Type type,
                          org.eclipse.emf.ecore.EClass eClass)

  Creates a new `InputPin`, with the specified 'Name', and 'Type', and sets the 'Target' containment reference.

  Parameters:
    `name` - The 'Name' for the new `InputPin`, or `null`.
    `type` - The 'Type' for the new `InputPin`, or `null`.
    `eClass` - The Ecore class of the `InputPin` to create.
  Returns:
    The new `InputPin`.
  See Also:
    `getTarget()`

### createTarget

    InputPin createTarget(java.lang.String name,
                          Type type)

  Creates a new `InputPin`,with the specified 'Name', and 'Type', and sets the 'Target' containment reference.

  Parameters:
    `name` - The 'Name' for the new `InputPin`, or `null`.
    `type` - The 'Type' for the new `InputPin`, or `null`.
  Returns:
    The new `InputPin`.
  See Also:
    `getTarget()`

### validateMultiplicity

    boolean validateMultiplicity(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                 java.util.Map<java.lang.Object,java.lang.Object> context)

  The multiplicity of the input pin is 1..1. self.target.multiplicity.is(1,1)

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateNoType

    boolean validateNoType(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                           java.util.Map<java.lang.Object,java.lang.Object> context)

  The input pin has no type. self.target.type->size() = 0

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.